Summary: Tool for data storage configuration
Name: blivet-gui
Version: 2.1.15
Release: 1%{?dist}
Source0: http://github.com/storaged-project/blivet-gui/releases/download/%{version}/%{name}-%{version}.tar.gz
Patch0: 0001-Revert-Enable-name-validity-checks-in-AddDialog-1649.patch
Patch1: 0002-Check-if-a-format-has-attribute-relabels-before-usin.patch
License: GPLv2+
BuildArch: noarch
URL: http://github.com/storaged-project/blivet-gui

BuildRequires: desktop-file-utils
BuildRequires: libappstream-glib

Requires: blivet-gui-runtime = %{version}-%{release}

%description
Graphical (GTK) tool for manipulation and configuration of data storage
(disks, LVMs, RAIDs) based on blivet library.

%package -n blivet-gui-runtime
Summary: blivet-gui runtime

BuildRequires: python3-devel
BuildRequires: gettext >= 0.18.3
BuildRequires: python3-setuptools

Requires: python3
Requires: python3-gobject
Requires: gettext
Requires: python3-blivet >= 1:3.1.0
Requires: gtk3
Requires: PolicyKit-authentication-agent
Requires: python3-pid
Requires: libreport

%description -n blivet-gui-runtime
This package provides a blivet-gui runtime for applications that want to use
blivet-gui without actually installing the application itself.

%prep
%autosetup -n %{name}-%{version} -p1

%build
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

desktop-file-validate %{buildroot}/%{_datadir}/applications/blivet-gui.desktop
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/blivet-gui.appdata.xml

mkdir -p %{buildroot}/%{_localstatedir}/log/blivet-gui

%find_lang %{name}

%files -n blivet-gui
%{_datadir}/applications/blivet-gui.desktop
%{_datadir}/appdata/blivet-gui.appdata.xml

%files -n blivet-gui-runtime -f %{name}.lang
%{_mandir}/man1/blivet-gui.1*
%{python3_sitelib}/*
%{_datadir}/polkit-1/actions/org.fedoraproject.pkexec.blivet-gui.policy
%{_datadir}/icons/hicolor/*/apps/blivet-gui.png
%{_datadir}/blivet-gui
%{_bindir}/blivet-gui
%{_bindir}/blivet-gui-daemon
%{_localstatedir}/log/blivet-gui
%{_sysconfdir}/libreport/events.d/blivet-gui_event.conf

%changelog
* Thu Jul 02 2020 Vojtech Trefny <vtrefny@redhat.com> - 2.1.15-1
- Use "raw_device" instead of "slave" for getting LUKS backing device (vtrefny)
- Update translation files (noreply)
- Translated using Weblate (Chinese (Simplified)) (tiansworld)
- POT file update (vtrefny)
- Translated using Weblate (Hebrew) (sh.yaron)
- Fix setting visibility for EncryptionChooser (vtrefny)
- Make data paths in setup.py relative (vtrefny)
- Add alternative paths to look for UI and CSS files (vtrefny)
- Set default position of the main window to the center of the screen (vtrefny)
- Correctly set data and metadata level when creating Btrfs volumes (vtrefny)
- Grammar fix (sh.yaron)
- Update translation files (noreply)
- Translated using Weblate (Bengali (India)) (akarshan.biswas)
- Translated using Weblate (Hebrew) (sh.yaron)
- Update POT file before doing a release (vtrefny)
- Added translation using Weblate (Bengali (India)) (akarshan.biswas)
- Translated using Weblate (Hebrew) (sh.yaron)
- Remove dependency on adwaita-icon-theme (vtrefny)
- Add daily builds badge (jkonecny)
- Use tests instead of COPR build in packit for PRs (jkonecny)
- Use packit actions instead of commands (jkonecny)
- Remove not needed packit configuration values (jkonecny)
- Move packit general configuration to the top of .packit file (jkonecny)
- Translated using Weblate (German) (mail)
- Fix unlocking raw format LUKS devices in Anaconda (#1846517) (vtrefny)
- Translated using Weblate (Portuguese (Brazil)) (lucas.af88)
- Translated using Weblate (French) (julroy67)
- Translated using Weblate (Portuguese (Brazil)) (noreply)
- Translated using Weblate (Portuguese (Brazil)) (lucas.af88)
- Update translation files (noreply)
- Translated using Weblate (Turkish) (oguzersen)
- Translated using Weblate (Ukrainian) (yurchor)
- Translated using Weblate (Polish) (piotrdrag)
- Translated using Weblate (Portuguese (Brazil)) (lucas.af88)
- Translated using Weblate (Portuguese (Brazil)) (noreply)
- Translated using Weblate (Portuguese (Brazil)) (lucas.af88)
- Refactor checking for device resizability (vtrefny)
- Update translation files (noreply)
- Translated using Weblate (Italian) (alciregi)
- Ellipse the device name using the GTK cell render (15699466+TownCube)
- Fix names for icons in the password entry (vtrefny)
- Try harder to load correct icon when applying actions (vtrefny)
- Fix pylint failure when disabling found-_-in-module-class warning (vtrefny)
- Fix ordering of the edit submenu in the context menu for devices (vtrefny)

* Mon Jun 01 2020 Vojtech Trefny <vtrefny@redhat.com> - 2.1.14-1
- Do not update filesystem info for resize in the installer mode (vtrefny)
- Do not allow creating extedned partitions on DASD (#1825357) (vtrefny)
- Translated using Weblate (Turkish) (oguzersen)
- Translated using Weblate (Russian) (igor.gorbounov)
- Translated using Weblate (German) (christian.wehrli)
- Show filesystem label in the GUI (#1811383) (vtrefny)
- Make sure broken tests are not silently ignored (vtrefny)
- tests: Fix mocking/patching mountpoints in ListPartitionsTest (vtrefny)
- Translated using Weblate (Russian) (pamolodyk)
- Update translation files (noreply)
- Translated using Weblate (Russian) (pamolodyk)
- Sync spec with downstream (vtrefny)
- Translations update from Weblate (#166) (noreply)
- Translated using Weblate (German) (jensmaucher)
- Fix unlocking LUKS on RAID in the installer mode (#1787508) (vtrefny)
- Fix creating encrypted LVM VG (#1816098) (vtrefny)
- Translated using Weblate (Turkish) (oguzersen)
- Translated using Weblate (Finnish) (jiri.gronroos)
- Translated using Weblate (Ukrainian) (yurchor)
- Translated using Weblate (Slovak) (feonsu)
- Translated using Weblate (Russian) (igor.gorbounov)
- Translated using Weblate (French) (julroy67)
- Translated using Weblate (Polish) (piotrdrag)
- Update translation files (noreply)
- Translated using Weblate (Russian) (igor.gorbounov)
- Fix setting attributes for proxy objects (#1810855) (vtrefny)
- Allow selecting mountpoints to unmount for devices with multiple mountpoints (vtrefny)
- Allow calling "remote" functions with kwargs (vtrefny)
- Display all mountpoints for devices (vtrefny)
- packit: Use 'fedora-all' as Copr build targets (vtrefny)
- Translated using Weblate (Spanish) (fitoschido)
- Update packit Copr targets (vtrefny)
- Translated using Weblate (Ukrainian) (yurchor)
- Translated using Weblate (Spanish) (fitoschido)
- Translated using Weblate (French) (julroy67)
- Set partition type combo insensitive if there is only one option (vtrefny)
- Fix displaying current size of devices in the resize dialog (vtrefny)
- Always open new dialogs in the center of the blivet-gui window (vtrefny)
- add link to translation platform (jean-baptiste)
- Update translation files (noreply)
- Allow specifying 'mode' for the sdist command (vtrefny)
- Do not print list of data files in setup.py (vtrefny)
- Specify custom commands for version and source archive in packit (vtrefny)
- tests: Import Gtk directly before we need it (vtrefny)
- Add a simple script to run tests (vtrefny)
- Remove Zanata from our build and release processes (vtrefny)
- Add PO files to git (vtrefny)

* Wed Feb 12 2020 Vojtech Trefny <vtrefny@redhat.com> - 2.1.12-1
- Initial build for EPEL 8
